Inquiry
API to inquiry E-Samsat.
Path
| Method | Path |
|---|---|
| POST | api/v1/bill/check |
Test Case
| Code | Number | Response |
|---|---|---|
| ESAMSAT.JABAR | 9658548523560000 | Success |
| ESAMSAT.JABAR | 9658548523560001 | Inquiry - Invoice Has Been Paid |
| ESAMSAT.JABAR | 9658548523560014 | Inquiry - Incorrect Destination Number |
| ESAMSAT.JABAR | 9658548523560103 | Inquiry - Time Out |
| ESAMSAT.JABAR | 9658548523561037 | Payment - Payment Failed |
| ESAMSAT.JABAR | 9658548523561039 | Payment - Pending / transaction in process |
| ESAMSAT.JABAR | 9658548523561105 | Payment - MISC Error / Biller System Error |
| ESAMSAT.JABAR | 965854852356XXXX | Test other response scenarios in the test case menu. |
Request Body
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| commands | String | Value: inq-pasca | Yes |
| username | String | Your registered phone number | Yes |
| code | String | Product Code. You can get list of product code in pricelist api or from pricelist here | Yes |
| hp | String | ESAMSAT payment code | Yes |
| ref_id | String | Your order number / reference ID ( must unique ) | Yes |
| sign | String | Signature. Value: md5(username+api_key+ref_id) | Yes |
| nomor_identitas | String | Registered identity number | Yes |
A thing to know
Here is the step to get ESAMSAT payment code :
- Download Samolnas apps
- Reqister and get payment code
{
"commands" : "inq-pasca",
"username" : "123123123",
"code" : "ESAMSAT.JABAR",
"hp" : "9658548523560000",
"ref_id" : "978994691278",
"sign" : "6c6a046a14c444e44cfab5e4bbb01b01",
"nomor_identitas" : "0212502110170100"
}
Response
Loading...
{
"data": {},
"meta": []
}Live Testing
Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result
Table of Contents